This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 989902 - Compatibility with sqlalchemy 0.8
Compatibility with sqlalchemy 0.8
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: general (Show other bugs)
develop
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 0.14.2
: ---
Assigned To: Dan Callaghan
Amit Saha
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-30 03:02 EDT by Amit Saha
Modified: 2015-07-26 18:15 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-06 20:46:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amit Saha 2013-07-30 03:02:19 EDT
Description of problem:

With sqlalchemy 0.8, number of current database queries break resulting in a large number of errors when the test suite is run: http://ur1.ca/etlrt 


Version-Release number of selected component (if applicable):



How reproducible:

Always.

Steps to Reproduce:
1. Run the test suite on Fedora 19.

2.
3.

Actual results:

Large number of test errors.

Expected results:

All tests pass and the code is also compatible with sqlalchemy 0.7

Additional info:
Comment 2 Dan Callaghan 2013-07-30 03:26:04 EDT
The relevant SQLAlchemy migration guide will be of use too:

http://docs.sqlalchemy.org/en/rel_0_8/changelog/migration_08.html
Comment 3 Amit Saha 2013-09-17 03:16:52 EDT
Distro import fails too: https://lists.fedorahosted.org/pipermail/beaker-devel/2013-September/000737.html
Comment 4 Dan Callaghan 2013-09-26 23:10:58 EDT
http://gerrit.beaker-project.org/2288
Comment 5 Amit Saha 2013-09-27 00:58:07 EDT
From the release-0.15 branch, ran the tests in bkr.inttest.server.test_model with  python-sqlalchemy-0.8.2-1.fc20.x86_64 and I don't see the failures that was originally reported.

Also, can import a distro successfully on Beaker server 0.15-rc1 running on Fedora.
Comment 6 Nick Coghlan 2013-10-02 22:27:21 EDT
Beaker 0.15 has been released.
Comment 7 Raymond Mancy 2013-10-23 03:02:28 EDT
This change has been nominated to be back ported to the 0.14 branch, to be released as part of the next maintenance release 0.14.2.
Comment 8 Nick Coghlan 2013-10-25 02:35:45 EDT
Adjusting target milestone to make the changes backported to 0.14.2 easier to identify. 0.15.0 has enough significant regressions that it shouldn't be used, so the change means that 0.15.1 can be effectively reidentified as the union of that tag and the 0.14.2 target milestone.
Comment 10 Amit Saha 2013-10-28 10:54:19 EDT
Verified following the same steps as https://bugzilla.redhat.com/show_bug.cgi?id=989902#c5
Comment 11 Nick Coghlan 2013-11-06 20:46:40 EST
Closing as addressed in Beaker 0.14.2.

Note You need to log in before you can comment on or make changes to this bug.